Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355599 - [RFE]: volume heal do not heal missing or zero length file
Summary: [RFE]: volume heal do not heal missing or zero length file
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: 3.7.13
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pranith Kumar K
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 04:13 UTC by Dmitry Melekhov
Modified: 2017-03-08 11:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 11:00:33 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Dmitry Melekhov 2016-07-12 04:13:55 UTC
Description of problem:

gluster volume heal does nothing 

Version-Release number of selected component (if applicable):
3.7.13

How reproducible:


inside one of bricks:

[root@father brick]# ls -l gstatus-0.64-3.el7.x86_64.rpm
-rw-r--r-- 2 root root 52268 июл 11 13:00 gstatus-0.64-3.el7.x86_64.rpm
[root@father brick]#


[root@father brick]# >  gstatus-0.64-3.el7.x86_64.rpm
[root@father brick]# ls -l gstatus-0.64-3.el7.x86_64.rpm
-rw-r--r-- 2 root root 0 июл 11 13:54 gstatus-0.64-3.el7.x86_64.rpm
[root@father brick]#

so now file has  0 length.

try to heal:



[root@father brick]# gluster volume heal pool
Launching heal operation to perform index self heal on volume pool has been successful
Use heal info commands to check status
[root@father brick]# ls -l gstatus-0.64-3.el7.x86_64.rpm
-rw-r--r-- 2 root root 0 июл 11 13:54 gstatus-0.64-3.el7.x86_64.rpm
[root@father brick]#


nothing!

[root@father brick]# gluster volume heal pool full
Launching heal operation to perform full self heal on volume pool has been successful
Use heal info commands to check status
[root@father brick]# ls -l gstatus-0.64-3.el7.x86_64.rpm
-rw-r--r-- 2 root root 52268 июл 11 13:00 gstatus-0.64-3.el7.x86_64.rpm
[root@father brick]#


full heal is OK.

Comment 1 Pranith Kumar K 2016-07-13 10:49:49 UTC
After the discussion on gluster-users we came to the following conclusion:
"I think it will be wise to add full heal interval to self-heal daemon." So converting this as RFE to implement the same.

Comment 2 Kaushal 2017-03-08 11:00:33 UTC
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.


Note You need to log in before you can comment on or make changes to this bug.